PSA: Avoid Visual Studio 2017 15.7.0

classic Classic list List threaded Threaded
2 messages Options
Reply | Threaded
Open this post in threaded view
|

PSA: Avoid Visual Studio 2017 15.7.0

Ryan VanderMeulen-2
Yesterday, Microsoft released Visual Studio 2017 15.7.0. Unfortunately, it is currently not usable for building Firefox due to bug 1458247 (internal compiler errors in WebRTC code). The bug was already reported and confirmed upstream during the 15.7 preview cycle, but unfortunately the final release still shipped with the bug present.

At this point, there are no workarounds available for this issue, so avoid the update if you want to be able to continue building Firefox.

-Ryan

_______________________________________________
dev-builds mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-builds
Reply | Threaded
Open this post in threaded view
|

Re: PSA: Avoid Visual Studio 2017 15.7.0

Matthew N.
On 2018-05-08 6:40 a.m., Ryan VanderMeulen wrote:
> Yesterday, Microsoft released Visual Studio 2017 15.7.0. Unfortunately, it
> is currently not usable for building Firefox due to bug 1458247 (internal
> compiler errors in WebRTC code). The bug was already reported and confirmed
> upstream during the 15.7 preview cycle, but unfortunately the final release
> still shipped with the bug present.
>
> At this point, there are no workarounds available for this issue, so avoid
> the update if you want to be able to continue building Firefox.

If you need to update to 15.6 but hadn't yet, you can download old
versions at
https://docs.microsoft.com/en-us/visualstudio/productinfo/installing-an-earlier-release-of-vs2017

- MattN
_______________________________________________
dev-builds mailing list
[hidden email]
https://lists.mozilla.org/listinfo/dev-builds